package com.xhkjedu.sapi.service.system;

import com.xhkjedu.sapi.mapper.system.UserMapper;
import com.xhkjedu.vo.system.UserVo;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;

/**
 * @Description：用户信息
 * @Author: WN
 * @Date: 2024/10/25 10:28:55
 **/
@Service
public class UserService {
    @Resource
    private UserMapper userMapper;

    /*
     * @Description 获取用户类型及科目
     * @Date 2024/10/25 10:29:43
     * @Author WN
     * @Param [userid]
     * @Return java.lang.Integer
     **/
    public UserVo getUserTypeAndSubjectid(Integer userid){
        return userMapper.getUserTypeAndSubjectid(userid);
    }
}
