package com.xhkjedu.sapi.model.notice;

import com.xhkjedu.model.BaseBean;
import lombok.Data;

import javax.persistence.Id;
import javax.persistence.Table;

@Table(name = "t_notice_file")
@Data
public class TNoticeFile extends BaseBean {
    @Id
    //通知附件表
    private Integer nfid;

    //通知id
    private Integer noticeid;

    //资源名称
    private String resourcename;

    //资源分类1word,2ppt,3pdf,4图片,5视频,6音频,7压缩包,10其他
    private Integer resourceclass;

    //资源地址
    private String resourceurl;

    //封面图地址
    private String resourcecover;

    //转换后的pdf文件地址
    private String pdfurl;

    //文件后缀
    private String suffix;

    //文件大小
    private Integer resourcesize;

    //视频时长（秒）
    private Integer duration;

    //创建时间
    private Integer createtime;
}
