package com.xhkjedu.smarking.model.scan;

import com.xhkjedu.model.BaseBean;
import lombok.Data;

import javax.persistence.Id;
import javax.persistence.Table;
import javax.persistence.Transient;

/**
 * @Description 阅卷答题卡扫描批次表
 * @Author auto
 * @Date 2024-10-15
 */
@Data
@Table(name = "ms_scanbatch")
public class MsScanbatch extends BaseBean {
    @Id
    //阅卷答题卡扫描批次ID
    private Integer batchid;
    //扫描批次名称
    private String batchname;
    //考试id
    private Integer examid;
    //试卷id
    private Integer mpid;
    //扫描总数量
    private Integer scannum;
    //上传数量
    private Integer uploadnum;
    //识别数量
    private Integer identifynum;
    //创建人ID
    private Integer createid;
    //创建时间
    private Integer createtime;

    //扫描设备
    @Transient
    private String device;
}
