package com.xhkjedu.smarking.vo.stupaper;

import com.xhkjedu.smarking.model.stupaper.MsPaperStudentQuestion;
import lombok.Data;

import java.util.List;

/**
 * @Description：学生网页端提交试题
 * @Author: WN
 * @Date: 2024/11/1 10:45:49
 **/
@Data
public class PaperStudentWebVo {
    //试卷学生id
    private Integer mpsid;

    //花费时间
    private Integer costtime;

    //试卷中试题
    private List<MsPaperStudentQuestion> questions;

    //学生答题卡图片
    private String stupic;

    private Integer mpid;//试卷id

    private String examno;//学生准考证号

    private Integer sstate;//状态0未进场1已进场2已交卷3缺考

    private Integer hasbad;//会否违规0未违规1违规

    private Integer batchid;//答题卡扫描批次

    private Integer mspid;//扫描试卷ID

    private Integer batchorder;//当前批次第几页

    private String studentname;//学生名称

    //设备
    private String device;

    //提交方式：1主动提交2自动提交3返回提交
    private Integer submittype;

    private Integer mspstate;//状态0默认1待处理2已处理10已删除
}
